<?php
#-----------------------------------------------------#
# ============ЗАГРУЗ-ЦЕНТР============= #
# 	 Автор : Sea #
# E-mail : x-sea-x@ya.ru #
# ICQ : 355152215 #
# Вы не имеете права распространять данный скрипт. #
# 		По всем вопросам пишите в ICQ. #
#-----------------------------------------------------#
define('_IN_JOHNCMS', 1);
$zc=1;
$headmod = 'guest';
$textl = 'Загрузки';
require_once ("../incfiles/core.php");
require_once ("../incfiles/head.php");
$time = time();
$setting = mysql_query('SELECT * FROM `zc_setting`;');

while($set = mysql_fetch_assoc($setting)){
$setup[$set['name']] = $set['value'];
}

$hackmess = $setup['hackmess'];

require 'moduls/ini.php';
require 'moduls/fun.php';
//------------------------------------------------------------------------------------------
###################################################
$error = 0;
if($rights < "4") $error = 1;


if($error==1) die($setup['hackmess']);
//=================================================================================================================
$id = intval($_GET['id']);

$onpage = get2ses('onpage');
$prew = get2ses('prew');
$sort = get2ses('sort');

$start = intval($_GET['start']);
$page = intval($_GET['page']);

is_num($onpage,'onpage');
is_num($prew,'prew');

if($prew != 0 and $prew != 1){
$prew = $setup['preview'];
}



echo '<div>';
//------------------------------------------------------------------------------------------
$file_info = mysql_fetch_assoc(mysql_query('SELECT * FROM `'.$setup['pref'].'files` WHERE `id` = '.$id));
if(!is_file($file_info['path'])) die('Файл не существует!');
$all_komments = (int)@mysql_num_rows(mysql_query('SELECT * FROM `'.$setup['pref'].'komments` WHERE file_id = '.$id));
//------------------------------------------------------------------------------------------
$filename = pathinfo($file_info['path']);
$ext = strtolower($filename['extension']);
$dir = $file_info['infolder'];
$filename = $filename['basename'];
$back = mysql_fetch_array(mysql_query("SELECT `id` FROM `".$setup['pref']."files` WHERE `path` = '".clean($dir)."' AND `size`=0 LIMIT 1"));
//------------------------------------------------------------------------------------------

if($file_info['size'] < 1024) $file_info['size'] = $file_info['size'].'b';
if($file_info['size'] < 1048576 and $file_info['size'] >= 1024) $file_info['size'] = round($file_info['size']/1024, 2).'Kb';
if($file_info['size'] > 1048576) $file_info['size'] = round($file_info['size']/1024/1024, 2).'Mb';

###############Вывод###################
echo '<div class="menu">Досье на файл '.$filename.'</div><div class="list1">
<strong>Размер:</strong> '.$file_info['size'].'<br/>
<strong>Скачано:</strong> '.$file_info['loads'].' раз(а)<br/>';

###############Недавнее скачивание###################
if($file_info['timeload'])
{
$file_info['timeload'] = date('d.m.Y (H:i)', $file_info['timeload']);
print '<strong>Недавнее скачивание:</strong><br/>'.$file_info['timeload'].'<br/>';
}
###############Лоадер################################
if($file_info['lastloader'])
{
print '<strong>Лоадером был:</strong><br/>'.$file_info['lastloader'].'<br/>';
}
$file_info['timeupload'] = date('d.m.Y (H:i)', $file_info['timeupload']);
###############Время добавления######################
print '<strong>Время добавления:</strong><br/>'.$file_info['timeupload'];
###############Особый размер для картинок############

if($ext == 'gif' or $ext == 'jpg' or $ext == 'jpe' or $ext == 'jpeg' or $ext == 'png'){
$arr = array('130x130','120x160','132x176','176x220','240x320');
echo '<hr size="1" width="100%" class="hr"/><strong>Особый размер:</strong>';
foreach($arr as $v){
list($W,$H) = explode('x',$v);
echo "<br/><a href='im.php?id=$id&amp;H=$H&amp;W=$W'>$v</a>";
}
}

###############Инфа о mp3###########################
if($ext == 'mp3' or $ext == 'wav')
{
include 'moduls/classAudioFile.php';
$AF = new AudioFile;
$AF->loadFile($file_info['path']);
$AF->printSampleInfo();

if($ext = 'mp3'){
print '[<strong><a href="apanel.php?action=id3&amp;id='.$id.'">Редактировать теги</a></strong>]';
}

}


// Видео (ffmpeg)
elseif(($ext == '3gp' || $ext == 'avi' || $ext == 'mp4') && extension_loaded('ffmpeg')){
$mov = new ffmpeg_movie($file_info['path']);


// 80x80
print '<br/><img src="ffmpeg.php?id='.$id.'&amp;W=80&amp;H=80" alt="prev">
<hr size="1" width="100%" class="hr"/>
Koдeк: '.$mov->getVideoCodec().'<br/>
Paзpeшeниe: '.$mov->GetFrameWidth().' x '.$mov->GetFrameHeight().'<br/>
Bpeмя: '.round($mov->getDuration(),1).' сек<br/>';

if($bt = $mov->getVideoBitRate()){
print 'Битpeйт: '.$bt.'<br/>';
}
if($ac = $mov->getAudioCodec()){
print 'Aудиo: '.$ac.'<br/>';
}
if($abt = $mov->getAudioBitRate()){
print 'Битpeйт: '.$abt.'<br/>';
}

}


###############Скиншот#############################
if(is_file($setup['spath'].'/'.$filename.'.gif')){
echo '<hr size="1" width="100%" class="hr"/><strong>Скриншот:</strong><br/><img src="'.$setup['spath'].'/'.$filename.'.gif" alt="screen"/>';
}
else{
echo '<br/>[<strong><a href="apanel.php?action=screen&amp;id='.$id.'">Добавить скриншот</a></strong>]';
}
echo '<br/>[<strong><a href="apanel.php?action=newfile&amp;id='.$back['id'].'&amp;idfile='.$id.'">Добавить файл.</a></strong>]';
###############Описание#############################
if(!empty($file_info['about'])) //если оно в базе
{
$file_info['about'] = str_replace("\n", '<br/>',$file_info['about']);
echo '<hr size="1" width="100%" class="hr"/><strong>Описание:</strong><br/>'.$file_info[about];
}
elseif(is_file($setup['opath'].'/'.$filename.'.txt')) //если оно в файле
{
$f = str_replace("\n",'<br/>',file_get_contents($setup['opath'].'/'.$filename.'.txt'));
echo '<hr size="1" width="100%" class="hr"/><strong>Описание:</strong><br/>'.$f;
}
print '<br/>[<a href="apanel.php?action=fast&amp;id='.$id.'"><strong>Добавить/изменить описание</strong></a>]';
echo '</div>';
###############Голосование###########################
echo '<div class="list1">';
if($setup['eval_change'] == 1)
{
$i = @round(($file_info['yes'])/($file_info['yes']+$file_info['no'])*100,0);
echo '
<strong>Рейтинг файла(+/-): <font color="#FF8000">'.$file_info['yes'].'</font>/<font color="#004080">'.$file_info['no'].'</font></strong>[<a href="apanel.php?id='.$file_info['id'].'&amp;action=cleareval">Сбросить</a>]<br/>
<img src="rate.php?i='.$i.'" alt=""/><br/>
Полезный файл?: <a href="view.php?id='.$id.'&amp;eval=1"><strong>Да</strong></a>/<a href="view.php?id='.$id.'&amp;eval=0"><strong>Нет</strong></a>';
}

###############Нарезка###########################
echo '</div><div class="list1">';
if($setup['cut_change'] == 1)
{
if($ext == 'mp3' or $ext == 'wav'){
print '<a href="cut.php?id='.$id.'"><strong>Нарезка</strong></a><br/>';
}
}

###############Просмотр архива####################
if($setup['zip_change'] == 1)
{
if($ext == 'zip'){
print '<a href="zip.php?id='.$id.'"><strong>Просмотр архива</strong></a><br/>';
}
}

###############Комментарии#######################
if($setup['komments_change'] == 1)
{
echo '<a href="komm.php?id='.$id.'"><strong>Комментарии ['.$all_komments.'</strong>]</a>[<a href="apanel.php?id='.$file_info['id'].'&amp;action=clearkomm">Очистить</a>]<br/>';
}


// txt файлы
if($ext == 'txt'){
print '<a href="txt_zip.php?id='.$id.'">Скачать [ZIP]</a><br/>
<a href="txt_jar.php?id='.$id.'">Скачать [JAR]</a><br/>';
}


echo '<a href="load.php?id='.$id.'"><strong>Скачать ['.ucfirst($ext).']</strong></a><br/>';
if($ext == 'jar' and $setup['jad_change'] == 1){
echo '<a href="jad.php?id='.$id.'><strong>Скачать [Jad]</strong></a><br/>';
}
echo '</div>';
$all = mysql_fetch_row(mysql_query('SELECT COUNT(`id`) FROM `'.$setup['pref'].'files` WHERE `file_id` = '.$id));
$all = $all[0];
if($all>0) {
echo '<div class="list1"><b>Прикрепленные файлы:</b>';
    ###############Получаем список файлов###
  $query = mysql_query('SELECT `id` FROM `'.$setup['pref'].'files` WHERE `file_id` = '.$id.' ORDER BY `timeupload`');

  while($list_sw = mysql_fetch_array($query)){
  $array_id[] = $list_sw['id'];
  }
  $n=0;
    while($i<$all)
    {
    if(!isset($array_id[$n])) {$n++; continue; }
    $razdel = mysql_fetch_array(mysql_query('SELECT * FROM `'.$setup['pref'].'files` WHERE `id` = '.$array_id[$n].' AND `file_id` = '.$id));
    ###############Красивый размер###################
if($razdel['size'] < 1024){
$razdel['size'] = $razdel['size'].'b';
}
elseif($razdel['size'] < 1048576 and $razdel['size'] >= 1024){
$razdel['size'] = round($razdel['size']/1024, 2).'Kb';
}
else{
$razdel['size'] = round($razdel['size']/1024/1024, 2).'Mb';
}
    
    echo '<li>
    <a href="load.php?id='.$razdel['id'].'">'.$razdel['name'].'</a> ('.$razdel['size'].')'.($razdel['about']? '<br/>'.$razdel['about']:'').'<b>|<a href="apanel.php?action=refile&amp;id='.$razdel['id'].'">Удалить</a></b></li>';
    $i++;
    $n++;
    }  
echo '</div>';
}  
echo '<div class="bmenu">
<li><a href="apanel_index.php?id='.$back['id'].'">Назад</a></li>
<li><a href="apanel.php">Админка</a></li></div></div>';

require_once ("moduls/foot.php");
?>